Subject: bug#2956 closed by Stefan Monnier <[email-masked]> (Re: bug#2956: 23.0.92; anything.el causes BSOD on vista64 dual-processor)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 11 Apr 2009 18:40:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#2956: 23.0.92; anything.el causes BSOD on vista64 dual-processor

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
2956: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2956
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2956: 23.0.92; anything.el causes BSOD on vista64 dual-processor
From: Stefan Monnier <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 Apr 2009 14:31:26 -0400

>> > The fact (if it is a fact) that a problem manifests itself only on
>> > Vista does not necessarily mean there's no bug in Emacs, especially
>> > since the variety of different systems on which Emacs is routinely
>> > tested is so small.  Some positive evidence is required to deduce that
>> > the bug is in the underlying OS.  Do you have such an evidence?
>> An unprivileged process able to crash the OS is always a bug in the OS.
> Please re-read what I wrote: I also said that this doesn't necessarily
> mean there's no bug in Emacs.

We know for a fact that there are many bugs in Emacs, so there's no risk
of me thinking that "there's no bug in Emacs" ;-)

> We don't care about Vista bugs here, but I think we do care about Emacs.

Indeed.  But he described a bug in Vista, which happens to appear to be
triggered by something in Emacs.  Since we don't know what is that thing
in Emacs that triggers the bug, we can't even decide if it's itself
a bug or not.  We have plenty of real confirmed bugs not to worry about
this one until Vista gets fixed.  And I already mentioned a good "fix".

        Stefan

Subject: 23.0.92; anything.el causes BSOD on vista64 dual-processor
From: Erik Charlebois <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 10 Apr 2009 17:09:19 -0700

Running "M-x anything" with anything.el, then pressing tab and enter
causes Vista 64 to BSOD with a "Second processor failed to respond to
clock interrupt in time" error. I am running on a dual quad-core system.

I have hit this problem in ERC as well, so I know it is not related
entirely to anything.el. It is simply easier to reproduce consistently
on anything.el. This problem does not occur with 22.3.

(As a software developer myself, I understand how ridiculously esoteric
this bug is and that the OS shouldn't panic from a user-land process. I
understand if this doesn't get fixed. I thought I'd report it anyway.
If I can help provide more information (maybe there is some triage of
version 23 features I could do, given the option names), feel free to
ask ([email-masked]).)

In GNU Emacs 23.0.92.1 (i386-mingw-nt6.0.6001)
 of 2009-03-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.0.6001
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  yas/minor-mode: t
  desktop-save-mode: t
  savehist-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x g C-g M-x e m a c s - <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> r e p o r t - e
m <tab> <return>

Recent messages:
Building completion list of all manual topics...
Loading c:/Users/Erik Charlebois/.emacs.d/kuler-colors.el (source)...done
Loading c:/Users/Erik Charlebois/.emacs.d/cedet-1.0pre6/common/cedet.el
(source)...
Outdated speedbar 1.0 shadowed to meet minimum version 1.0.2
Setting up CEDET packages...
Loading `dframe': old-style backquotes detected!
Setting up CEDET packages...done
Loading c:/Users/Erik Charlebois/.emacs.d/cedet-1.0pre6/common/cedet.el
(source)...done
No desktop file.
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit

-- 
Erik Charlebois